
Foreman - Bug #6797

JavaScript syntax error when displaying hosts for organization: Error: Syntax error, unrecognized

expression: %22Default_Organization%22'

07/28/2014 10:46 AM - Dominic Cleal

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1123519 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1123519

Description of problem:

There is a JavaScript syntax error when displaying hosts for organization: "Error: Syntax error, unrecognized expression:

%22Default_Organization%22'"

Version-Release number of selected component (if applicable):

Satellite-6.0.4-RHEL-6-20140723.0

How reproducible:

always

Steps to Reproduce:

1. In webUI go to:

Administration -> Organizations -> click number in column "Hosts"

("0" in my case) on row with "Default_Organization"

2. On the page which loads, watch Firefox console for JavaScript error

Actual results:

Error: Syntax error, unrecognized expression: %22Default_Organization%22' application-3445874bf5e8cab38af5fa7b69530376.js:18

Expected results:

No syntax errors

Additional info:

Not sure if this is Katello or Foreman issue

History

#1 - 07/28/2014 10:47 AM - Dominic Cleal

- Category set to Web Interface

This can be reproduced by any search on the /hosts page where the value is enclosed in quotes and is a single word, e.g. architecture = "foo"

http://0.0.0.0:3000/hosts?utf8=%E2%9C%93&search=+architecture+%3D+%22foo%22

The error I'm getting in dev mode is: "Error: Syntax error, unrecognized expression: %22foo%22'" (source jquery.js:4268)

#2 - 08/18/2014 05:17 AM - Tomer Brisker

- Status changed from New to Resolved

Could not reproduce in current dev branch.

Looks like this was resolved by a previous commit.

Resolving, please re-open and provide more details if this still occurs.
